apiVersion: apiextensions.k8s.io/v1
kind: CustomResourceDefinition
metadata:
  name: dummy-operator-services.org.etsi.osl
spec:
  group: org.etsi.osl
  versions:
    - name: v1
      served: true
      storage: true
      schema:
        openAPIV3Schema:
          type: object
          properties:
            spec:
              type: object
              properties:
                status:
                  type: string
                  default: NOT_RUNNING
                  enum:
                    - "RUNNING"
                    - "NOT_RUNNING"
                qodProv:
                  type: object
                  properties:
                    operation:
                      type: string
                    provisioningId:
                      type: string
                    device:
                      type: object
                      properties:
                        phoneNumber:
                          type: string
                          pattern: '^\+[1-9][0-9]{4,14}$'
                        networkAccessIdentifier:
                          type: string
                        ipv4Address:
                          type: object
                          properties:
                            publicAddress:
                              type: string
                            privateAddress:
                              type: string
                            publicPort:
                              type: integer
                        ipv6Address:
                          type: string
                    qosProfile:
                      type: string
                    sink:
                      type: string
                    sinkCredential:
                      type: object
                      properties:
                        credentialType:
                          type: string
                camaraResults:
                  type: string
                  default: "[]"
            status:
              type: object
  scope: Namespaced
  names:
    plural: dummy-operator-services
    singular: dummy-operator-service
    kind: DummyOperatorService
    shortNames:
      - dos
